'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = loadLineStatusXML;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _needle = require('needle');

var _needle2 = _interopRequireDefault(_needle);

/**
 * [loadLineStatusXML description]
 * @param  {Function}
 */

function loadLineStatusXML(callback) {
  if (!_lodash2['default'].isFunction(callback)) {
    return;
  }

  var feedUrl = 'http://cloud.tfl.gov.uk/TrackerNet/LineStatus';

  var options = {
    headers: {
      'Content-Type': 'text/xml'
    }
  };

  _needle2['default'].get(feedUrl, options, function (err, res) {
    if (err) {
      callback(err);
      return;
    }

    if (res.statusCode !== 200) {
      callback('wrong statusCode ' + res.statusCode);
      return;
    }

    callback(null, res.body);
  });
}

module.exports = exports['default'];