'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = mapLineStatus;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

/**
 * [parseLineStatus description]
 * @param  {Object}
 * @param  {Function}
 */

function mapLineStatus(feed, callback) {
  if (!_lodash2['default'].isFunction(callback)) {
    return;
  }

  if (!_lodash2['default'].isObject(feed)) {
    callback('feed is not an Object');
    return;
  }

  if (!_lodash2['default'].isObject(feed.ArrayOfLineStatus)) {
    callback('ArrayOfLineStatus is not an Object');
    return;
  }

  if (!_lodash2['default'].isArray(feed.ArrayOfLineStatus.LineStatus)) {
    callback('LineStatus is not an Array');
    return;
  }

  var lineStatus = null;

  try {
    lineStatus = _lodash2['default'].map(feed.ArrayOfLineStatus.LineStatus, function (lineStatus) {
      return {
        id: lineStatus.Line.$.ID,
        name: lineStatus.Line.$.Name.toLowerCase(),
        status: lineStatus.Status.$.ID,
        desc: lineStatus.Status.$.Description,
        details: lineStatus.$.StatusDetails,
        active: lineStatus.Status.$.IsActive.toLowerCase() === 'true'
      };
    });
  } catch (e) {
    callback(e);
    return;
  }

  callback(null, lineStatus);
}

module.exports = exports['default'];